From 3a39045e391de1da3c490021d316da802313e2f8 Mon Sep 17 00:00:00 2001
From: Ondřej Nosek <onosek@redhat.com>
Date: Nov 03 2025 16:36:34 +0000
Subject: Add Accept-Encoding: identity header to curl requests - unittests


Signed-off-by: Ondřej Nosek <onosek@redhat.com>

---

diff --git a/tests/test_md5_bsd/expected b/tests/test_md5_bsd/expected
index 6036fc9..d241754 100644
--- a/tests/test_md5_bsd/expected
+++ b/tests/test_md5_bsd/expected
@@ -1,2 +1,2 @@
-curl -L -H Pragma: -o ./github-linguist-4.8.18.gem -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_md5_bsd/github-linguist-4.8.18.gem/md5/192de5f33807d72e573c54f61892fc69/github-linguist-4.8.18.gem
+curl -L -H Pragma: -H Accept-Encoding: identity -o ./github-linguist-4.8.18.gem -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_md5_bsd/github-linguist-4.8.18.gem/md5/192de5f33807d72e573c54f61892fc69/github-linguist-4.8.18.gem
 md5sum -c sources
diff --git a/tests/test_md5_bsd_empty_line/expected b/tests/test_md5_bsd_empty_line/expected
index 1aaf959..b4b2502 100644
--- a/tests/test_md5_bsd_empty_line/expected
+++ b/tests/test_md5_bsd_empty_line/expected
@@ -1,2 +1,2 @@
-curl -L -H Pragma: -o ./github-linguist-4.8.18.gem -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_md5_bsd_empty_line/github-linguist-4.8.18.gem/md5/192de5f33807d72e573c54f61892fc69/github-linguist-4.8.18.gem
+curl -L -H Pragma: -H Accept-Encoding: identity -o ./github-linguist-4.8.18.gem -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_md5_bsd_empty_line/github-linguist-4.8.18.gem/md5/192de5f33807d72e573c54f61892fc69/github-linguist-4.8.18.gem
 md5sum -c sources
diff --git a/tests/test_md5_bsd_missing_endline/expected b/tests/test_md5_bsd_missing_endline/expected
index 88a52e7..b935837 100644
--- a/tests/test_md5_bsd_missing_endline/expected
+++ b/tests/test_md5_bsd_missing_endline/expected
@@ -1,2 +1,2 @@
-curl -L -H Pragma: -o ./github-linguist-4.8.18.gem -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_md5_bsd_missing_endline/github-linguist-4.8.18.gem/md5/192de5f33807d72e573c54f61892fc69/github-linguist-4.8.18.gem
+curl -L -H Pragma: -H Accept-Encoding: identity -o ./github-linguist-4.8.18.gem -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_md5_bsd_missing_endline/github-linguist-4.8.18.gem/md5/192de5f33807d72e573c54f61892fc69/github-linguist-4.8.18.gem
 md5sum -c sources
diff --git a/tests/test_md5_old/expected b/tests/test_md5_old/expected
index c8b1c63..9216753 100644
--- a/tests/test_md5_old/expected
+++ b/tests/test_md5_old/expected
@@ -1,2 +1,2 @@
-curl -L -H Pragma: -o ./entr-3.6.tar.gz -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_md5_old/entr-3.6.tar.gz/072eed7153296a8fae6ebdedefed9fd4/entr-3.6.tar.gz
+curl -L -H Pragma: -H Accept-Encoding: identity -o ./entr-3.6.tar.gz -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_md5_old/entr-3.6.tar.gz/072eed7153296a8fae6ebdedefed9fd4/entr-3.6.tar.gz
 md5sum -c sources
diff --git a/tests/test_md5_old_empty_line/expected b/tests/test_md5_old_empty_line/expected
index 300b5d2..716fdf3 100644
--- a/tests/test_md5_old_empty_line/expected
+++ b/tests/test_md5_old_empty_line/expected
@@ -1,2 +1,2 @@
-curl -L -H Pragma: -o ./entr-3.6.tar.gz -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_md5_old_empty_line/entr-3.6.tar.gz/072eed7153296a8fae6ebdedefed9fd4/entr-3.6.tar.gz
+curl -L -H Pragma: -H Accept-Encoding: identity -o ./entr-3.6.tar.gz -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_md5_old_empty_line/entr-3.6.tar.gz/072eed7153296a8fae6ebdedefed9fd4/entr-3.6.tar.gz
 md5sum -c sources
diff --git a/tests/test_md5_old_missing_endline/expected b/tests/test_md5_old_missing_endline/expected
index 6d31180..30cb47b 100644
--- a/tests/test_md5_old_missing_endline/expected
+++ b/tests/test_md5_old_missing_endline/expected
@@ -1,2 +1,2 @@
-curl -L -H Pragma: -o ./entr-3.6.tar.gz -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_md5_old_missing_endline/entr-3.6.tar.gz/072eed7153296a8fae6ebdedefed9fd4/entr-3.6.tar.gz
+curl -L -H Pragma: -H Accept-Encoding: identity -o ./entr-3.6.tar.gz -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_md5_old_missing_endline/entr-3.6.tar.gz/072eed7153296a8fae6ebdedefed9fd4/entr-3.6.tar.gz
 md5sum -c sources
diff --git a/tests/test_sha512_bsd/expected b/tests/test_sha512_bsd/expected
index 0f40858..e322b6a 100644
--- a/tests/test_sha512_bsd/expected
+++ b/tests/test_sha512_bsd/expected
@@ -1,2 +1,2 @@
-curl -L -H Pragma: -o ./github-linguist-4.8.18.gem -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_sha512_bsd/github-linguist-4.8.18.gem/sha512/d556ffe0062bc2c745c46e94929eab18c79fd221ffc1dd0c0ea5868428bd130d7b15eec618e9c3940b50c27559923911135770792864f3330a606132dc8819c0/github-linguist-4.8.18.gem
+curl -L -H Pragma: -H Accept-Encoding: identity -o ./github-linguist-4.8.18.gem -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_sha512_bsd/github-linguist-4.8.18.gem/sha512/d556ffe0062bc2c745c46e94929eab18c79fd221ffc1dd0c0ea5868428bd130d7b15eec618e9c3940b50c27559923911135770792864f3330a606132dc8819c0/github-linguist-4.8.18.gem
 sha512sum -c sources
diff --git a/tests/test_sha512_bsd_empty_line/expected b/tests/test_sha512_bsd_empty_line/expected
index 88f3e70..2cd1296 100644
--- a/tests/test_sha512_bsd_empty_line/expected
+++ b/tests/test_sha512_bsd_empty_line/expected
@@ -1,2 +1,2 @@
-curl -L -H Pragma: -o ./github-linguist-4.8.18.gem -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_sha512_bsd_empty_line/github-linguist-4.8.18.gem/sha512/d556ffe0062bc2c745c46e94929eab18c79fd221ffc1dd0c0ea5868428bd130d7b15eec618e9c3940b50c27559923911135770792864f3330a606132dc8819c0/github-linguist-4.8.18.gem
+curl -L -H Pragma: -H Accept-Encoding: identity -o ./github-linguist-4.8.18.gem -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_sha512_bsd_empty_line/github-linguist-4.8.18.gem/sha512/d556ffe0062bc2c745c46e94929eab18c79fd221ffc1dd0c0ea5868428bd130d7b15eec618e9c3940b50c27559923911135770792864f3330a606132dc8819c0/github-linguist-4.8.18.gem
 sha512sum -c sources
diff --git a/tests/test_sha512_bsd_missing_endline/expected b/tests/test_sha512_bsd_missing_endline/expected
index 2b1b7b0..7374f56 100644
--- a/tests/test_sha512_bsd_missing_endline/expected
+++ b/tests/test_sha512_bsd_missing_endline/expected
@@ -1,2 +1,2 @@
-curl -L -H Pragma: -o ./github-linguist-4.8.18.gem -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_sha512_bsd_missing_endline/github-linguist-4.8.18.gem/sha512/d556ffe0062bc2c745c46e94929eab18c79fd221ffc1dd0c0ea5868428bd130d7b15eec618e9c3940b50c27559923911135770792864f3330a606132dc8819c0/github-linguist-4.8.18.gem
+curl -L -H Pragma: -H Accept-Encoding: identity -o ./github-linguist-4.8.18.gem -R -S --fail --retry 5 --max-time 900 https://src.fedoraproject.org/repo/pkgs/test_sha512_bsd_missing_endline/github-linguist-4.8.18.gem/sha512/d556ffe0062bc2c745c46e94929eab18c79fd221ffc1dd0c0ea5868428bd130d7b15eec618e9c3940b50c27559923911135770792864f3330a606132dc8819c0/github-linguist-4.8.18.gem
 sha512sum -c sources

